Name:       la-libass
Version:    0.15.1
Release:    1%{?dist}
Summary:    libass - Portable library for SSA/ASS subtitles rendering
Group:      System Environment/Libraries
License:    ISC
URL:        https://github.com/libass
%undefine   _disable_source_fetch
Source0:    https://github.com/libass/libass/releases/download/0.15.1/libass-0.15.1.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: 	%packager
BuildRequires: freetype-devel, fribidi-devel, harfbuzz-devel, fontconfig-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: nasm
BuildRequires: gcc, libgcc, glibc-devel, zlib-devel, gcc-c++, make
%define debug_package %nil

%description
Libass is a portable library for SSA/ASS subtitles rendering.

%prep

%setup -q -n libass-%{version}

%build
./configure --build=x86_64-pc-linux-gnu --host=x86_64-pc-linux-gnu \
            --disable-static \
            --prefix=%{_prefix} --bindir=%{_bindir} --libdir=%{_libdir}   
make %{?_smp_mflags}
%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

#%post
#if [ $1 == 1 ];then
#       #installed
#fi

#%postun
#if [ $1 == 0 ];then
   #uninstalled   
#fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
#%license LICENSE
%doc COPYING Changelog
/usr/include/ass/ass.h
/usr/include/ass/ass_types.h
/usr/lib64/libass.la
/usr/lib64/libass.so
/usr/lib64/libass.so.9
/usr/lib64/libass.so.9.1.2
/usr/lib64/pkgconfig/libass.pc